Subject: Re: data types

From: [email-masked] (Daniel Turk)
Date: Thu, 19 Aug 1993 15:09:19 -0400 (EDT)

> Hi! I am not sure if it works but try the function from LIBPQ PQftype
> which returns the type of the field. By the way do you have any precompiler
> when writing C program and use POSTGRES or you just use LIBPQ.
> Ewa Lata-Wolska Computer Science   McMaster University
> Hamilton,Ont      [email-masked]

Yes, this returns an "internal type number".  I'd like to get something
that will allow me to printout a user-interpretable name of the data
types.....  If there is a way (within C/Postgres/LibPQ) to convert the
type number to know what type it stands for then I can do what I want.
I'd just think that Postgres would have all this internally to itself
and that I should be able to get access to it.

--------------------------------------------------------------------------
Dan Turk     Computer Science & Information Systems     Andrews University
Berrien Springs, MI          [email-masked]               (616) 471-3426
==========================================================================